Subject: Re: BUG: 2.6.11-rc2 and -rc1 hang during boot on PowerMacs

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 27 Jan 2005 00:51:25 +1100

On Wed, 2005-01-26 at 11:02 +0100, Mikael Pettersson wrote:
> Benjamin Herrenschmidt writes:
>  > On Tue, 2005-01-25 at 09:56 +0100, Mikael Pettersson wrote:
>  > 
>  > > On the eMac:
>  > > /proc/sys/kernel/powersave-nap exists and contains "0".
>  > > /proc/device-tree/cpus/PowerPC,G4/flush-on-lock exists as an empty file.
>  > 
>  > Ok, that is weird... so for some reason, Apple decided not to allow the
>  > eMac to do NAP mode, and thus to power manage the CPU when idle...
> 
> I assumed it was due to the UniNorth issue that pmac_feature.c mentions.

Not clear. I would expect the eMac to run with a fairly recent revision
of UniNorth with no issue, and since it's not an SMP machine there
should be no problem...

On the other hand, I also suspect that the whole NAP thing does have a
small impact on performances, so that may be the reason they chose not
to do it on this HW...

Ben.